Collect
/- Initiates workflow to close a fiscal period
Gets all of the fiscal years in the system.
Execute Batch Operations
Returns a list of records with the specified business_unit_id
Creates the next fiscal year for a business unit
Gets the current fiscal year and period
Gets the fiscal year and fiscal period for a particular date
Initiates workflow to reopen a fiscal period
Returns a fiscal year from the system by its ID.
Returns a fiscal year from the system by its ID.
Partially updates a fiscal year with the specified ID.
Updates a fiscal year with the specified ID.
Initiates workflow to clo...
This method will initiate the fiscal period close process
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/close/{fiscalYearId}/{fiscalPeriod}
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/fiscalYears/{tenantId}/close/{fiscalYearId}/{fiscalPeriod}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/fiscalYears/{tenantId}/close/{fiscalYearId}/{fiscalPeriod}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
{ "executionArn": "string", "notification_channel": "string", "notification_publishKey": "string", "notification_subscribeKey": "string", "start_date": "2019-08-24T14:15:22Z" }